commit:     31ad72c56b612d4fb0784377332dfdd1b9ba9b4c
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 28 08:58:16 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Dec 28 09:01:27 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=31ad72c5

xfce-extra/xfce4-cpugraph-plugin: Bump to 1.2.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 xfce-extra/xfce4-cpugraph-plugin/Manifest          |  1 +
 .../xfce4-cpugraph-plugin-1.2.0.ebuild             | 36 ++++++++++++++++++++++
 2 files changed, 37 insertions(+)

diff --git a/xfce-extra/xfce4-cpugraph-plugin/Manifest 
b/xfce-extra/xfce4-cpugraph-plugin/Manifest
index 19b84d2160a..45623faa138 100644
--- a/xfce-extra/xfce4-cpugraph-plugin/Manifest
+++ b/xfce-extra/xfce4-cpugraph-plugin/Manifest
@@ -1 +1,2 @@
 DIST xfce4-cpugraph-plugin-1.1.0.tar.bz2 391629 BLAKE2B 
e1a18df75461466abf908100e3ace73c46751d78527a9928a5712e3b3388cb0908b697055bd229f700f3e36e908cbc90f2732fc65568ebbe47d876aa376fd087
 SHA512 
c928baac776517da8929b8ce3842be7e02a2b3394b7cc848028d1720ca611e1aa4ef706bd00736fecfed0b3b2d0cce94c09b0f905a226db5e50c036dabb8df2a
+DIST xfce4-cpugraph-plugin-1.2.0.tar.bz2 416669 BLAKE2B 
1adc1ac15b5280cb20dbc9e346ac99692fa5ce345431ffadad0e202cbad462d8210433b03d58f6970c493987a69866e97287b4a4ce655afe3d867258c8f8c14d
 SHA512 
b7d8402646bb4bca82c767b2a4e25a96d6d9a0327f13b934afd2165e9884a134686cf18e43c6fb30f93f9aba5f41aeceb0cbfb49c15f165ce972ed82eb9eb563

diff --git 
a/xfce-extra/xfce4-cpugraph-plugin/xfce4-cpugraph-plugin-1.2.0.ebuild 
b/xfce-extra/xfce4-cpugraph-plugin/xfce4-cpugraph-plugin-1.2.0.ebuild
new file mode 100644
index 00000000000..05bb474023a
--- /dev/null
+++ b/xfce-extra/xfce4-cpugraph-plugin/xfce4-cpugraph-plugin-1.2.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit xdg-utils
+
+DESCRIPTION="A system load plug-in for the Xfce panel"
+HOMEPAGE="https://goodies.xfce.org/projects/panel-plugins/xfce4-cpugraph-plugin";
+SRC_URI="https://archive.xfce.org/src/panel-plugins/${PN}/${PV%.*}/${P}.tar.bz2";
+
+LICENSE="BSD-2 GPL-2+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 
~amd64-linux ~x86-linux"
+
+RDEPEND=">=x11-libs/gtk+-3.22:3
+       >=xfce-base/libxfce4ui-4.12:=
+       >=xfce-base/xfce4-panel-4.12:="
+DEPEND="${RDEPEND}"
+BDEPEND="
+       dev-util/intltool
+       sys-devel/gettext
+       virtual/pkgconfig"
+
+src_install() {
+       default
+       find "${ED}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+       xdg_icon_cache_update
+}
+
+pkg_postrm() {
+       xdg_icon_cache_update
+}

Reply via email to